package ar.edu.unju.fi.patterns.creacion.abstractfactory.impl;

import ar.edu.unju.fi.patterns.creacion.abstractfactory.BluRay;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.Prototipo;

public class BluRayCapaDoble extends BluRay {

    @Override
    public Prototipo clone() {
            return new BluRayCapaDoble();
    }
 
    @Override
    public String getCapacidad() {
            return "60GB";
    }
 
    @Override
    public String getNombre() {
            return "BluRay Capa Doble";
    }
 
    @Override
    public String getPrecio() {
            return "500.00$";
    }

}
