package ar.edu.unju.fi.patterns.creacion.abstractfactory.impl;

import ar.edu.unju.fi.patterns.creacion.abstractfactory.DVD;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.Prototipo;

public class DVDCapaDoble extends DVD {

    @Override
    public Prototipo clone() {
            return new DVDCapaDoble();
    }
 
    @Override
    public String getCapacidad() {
            return "8.7GB";
    }
 
    @Override
    public String getNombre() {
            return "DVD Capa Doble";
    }
 
    @Override
    public String getPrecio() {
            return "10.00$";
    }
}
