package ar.edu.unju.fi.patterns.ejemplos.state.controlsecadora;

public class Prendido extends EstadoOperacion {

	@Override
	public void operacion(String event, ControlSecadora ctrl) {
		if(event.equals("APAGAR")) {
			System.out.println("PRENDIDO -> APAGAR:  apagarAlarma, apagarRotor, resetearParametros");
			ctrl.setEstado(new Apagado());
		}else if(event.equals("DORMIR")) {
			System.out.println("PRENDIDO -> DORMIR:  apagarAlarma, minimizarRotor");
			ctrl.setEstado(new Dormido());			
		}
	}

}
