package ar.edu.unju.fi.patterns.estructura.decorator;

public class Main {

	public static void main(String[] args) {
		Vendible auto = new FiatUno(); 
		auto = new CDPlayer(auto);
		System.out.println(auto.getDescripcion() + " precio: " + auto.getPrecio());
		
		Vendible auto2 = new FordFiesta(); 
		auto2 = new AireAcondicionado(auto2);
		auto2 = new MP3Player(auto2);
		System.out.println(auto2.getDescripcion() + " precio: " + auto2.getPrecio());
		
	}

}
