package ar.edu.unju.fi.patterns.creacion.builder;

public class AutoDirector {
	private AutoBuilder autoBuilder;
	
	public void constructAuto() {
		autoBuilder.crearAuto();
		
		autoBuilder.buildModelo();
		autoBuilder.buildMotor();
		autoBuilder.buildPuertas();
	}

	public Auto getAuto() {
		return autoBuilder.getAuto();
	}

	public void setAutoBuilder(AutoBuilder autoBuilder) {
		this.autoBuilder = autoBuilder;
	}

	
}
