package ar.edu.unju.fi.patterns.creacion.builder;

public class FordBuilder extends AutoBuilder {

	@Override
	public void buildMotor() {
		auto.setMotor(new Motor(2, "20 HP"));
	}

	@Override
	public void buildModelo() {
		auto.setModelo("Ford Focus");
	}

	@Override
	public void buildPuertas() {
		auto.setCantidadPuertas(5);

	}

}
