package ar.edu.unju.fi.patterns.ejemplos.state.controlsecadora;

public class Dormido extends EstadoOperacion {

	@Override
	public void operacion(String event, ControlSecadora ctrl) {
		if(event.equals("APAGAR")) {
			System.out.println("DORMIDO -> APAGAR: apagarRotor, resetearParametros");
			ctrl.setEstado(new Apagado());
		}else if(event.equals("PRENDER")) {
			System.out.println("DORMIDO -> PRENDER: sonarAlarma, prenderRotor");
			ctrl.setEstado(new Prendido());
		}

	}

}
