package ar.edu.unju.fi.patterns.estructura.decorator;

public class MP3Player extends AutoDecorator {

	public MP3Player(Vendible vendible) {
		super(vendible);
	}

	@Override
	public String getDescripcion() {
		return getVendible().getDescripcion() + " + MP3 Player";
	}

	@Override
	public int getPrecio() {
		return getVendible().getPrecio() + 1100;
	}

}
